#!/usr/bin/env bash

if [[ -z "$1" ]]; then
  echo;
  echo "Usage: deploytest.sh <\"Deploy message\">";
  echo;
  exit 1;
fi

for site in `terminus org:site:list ohio-state-arts-and-sciences --upstream=5161e51a-0e4a-414c-974e-8565094b76b1 --fields=name --format=string`; do
    echo "Site: [$site]";
    terminus env:deploy ${site}.test --updatedb --cc --note="$1";
done




