#!/usr/bin/env bash

# if [[ -z `which parallel` || -z `which tmux` || -z `which gdate` ]]; then
#   echo "Either 'parallel' or 'tmux' is not installed...";
#   if [[ -z `which brew` ]]; then
#     echo "Homebrew is NOT installed. Homebrew needs to be installed to proceed.";
#     echo "Visit https://https://brew.sh/ for more information.";
#     exit 1;
#   else
#     echo "Attempting to install parallel, tmux, coreutils...";
#     brew install parallel tmux coreutils;
#   fi
# fi

if [[ -z $1 || -z $2 ]]; then
  echo; echo "Usage: $0 <env> 'drush command'";
  echo; echo;
  exit 1;
fi

# ENV=$1;
# shift;

# if [[ $ENV == 'test' || $ENV == 'live' ]]; then
#   if [[ -z $1 ]]; then
#     while [[ -z $DEPLOY_MSG ]]; do
#       echo;
#       read -p "Enter deployment message: " DEPLOY_MSG;
#       echo;
#     done
#   else
#     DEPLOY_MSG=$@;
#   fi
# fi

# NOW=`date +%Y%m%d_%H%M`;
# LOG_DIR="deploy-$ENV-$NOW";
# mkdir $LOG_DIR;
# echo "LOG_DIR: $LOG_DIR";

SITES=$(terminus org:site:list ohio-state-arts-and-sciences --upstream=5161e51a-0e4a-414c-974e-8565094b76b1 --fields=name --format=string | sort);

# for site in $SITES; do
#   echo "site: $site";
# done


parallel --delay 0.1 --tag "terminus remote:drush {}.$1 $2" ::: $SITES

# echo $SITES | parallel --delay 0.1 "terminus remote:drush {prohibition}.live pmpi piwik_reports -- --format=table --fields=status,name --no-field-labels 2>/dev/null";


# parallel --delay 0.1 --tmuxpane --fg -a $LOG_DIR/site_list.txt "scripts/deploy-site-env.sh {}.$ENV $DEPLOY_MSG 2>&1 | tee $LOG_DIR/{}.log";

# echo; echo; echo "Sleeping for 11 seconds..."; echo; echo;
# sleep 11;

# reset;

# wait;

# cd $LOG_DIR;
# wc -l * | sort -n | tee line-counts.txt;
# cd ..;

# echo; echo; echo "Sleeping for 11 more seconds..."; echo; echo;
# sleep 11;
